## python-network 0.4

=== requirements.txt ===
fhs-paths==1.1

## python-network 0.3

=== debian/changelog ===
python-network (0.3-1) unstable; urgency=medium

  * Update standards version to 4.6.1.
  * Use https link for copyright format.

 -- Bas Wijnen <wijnen@debian.org>  Tue, 31 May 2022 13:21:50 +0200

python-network (0.2-1) unstable; urgency=medium

  * New release.
  * Upload to Debian archive. Closes: #1010012

 -- Bas Wijnen <wijnen@debian.org>  Fri, 22 Apr 2022 13:06:34 +0200

python-network (0.1-1) unstable; urgency=medium

  * Initial release. Closes: #686357

 -- Bas Wijnen <wijnen@debian.org>  Mon, 30 Nov 2015 11:25:46 -0500

=== debian/control ===
Source: python-network
Section: python
Priority: optional
Maintainer: Bas Wijnen <wijnen@debian.org>
Build-Depends-Indep: debhelper (>= 10), python3-all, dh-python, doxygen, python3-doxypypy | doxypy, libjs-jquery, graphviz, python3-setuptools, pybuild-plugin-pyproject
Standards-Version: 4.6.1

Package: python3-network
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-fhs, openssl, python3
Description: python module for easy networking
 Implementing networking in C is a pain. Unfortunately, much of that pain is
 copied to Python. This module instead tries to follow the "batteries included"
 approach, like the rest of Python. With this module, networking is a piece of
 cake. It can use tcp sockets and unix domain sockets and supports avahi and
 ssl connections without hassle.
 .
 This module provides a Socket class and a Server class.  The Server creates
 Sockets when accepting connections; Sockets can be created by the user to
 initiate a connection.  All of this is symmetrical: once the connection is
 established, the client and server use the same interface.
 .
 For providing RPC functionality in a language independent way, see
 python3-websocketd.

Package: python3-network-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python3-network (= ${source:Version}), python3-fhs-doc
Description: API documentation for python3-network
 Implementing networking in C is a pain. Unfortunately, much of that pain is
 copied to Python. This module instead tries to follow the "batteries included"
 approach, like the rest of Python. With this module, networking is a piece of
 cake. It can use tcp sockets and unix domain sockets and supports avahi and
 ssl connections without hassle.
 .
 This module provides a Socket class and a Server class.  The Server creates
 Sockets when accepting connections; Sockets can be created by the user to
 initiate a connection.  All of this is symmetrical: once the connection is
 established, the client and server use the same interface.
 .
 For providing RPC functionality in a language independent way, see
 python3-websocketd.
 .
 This package contains the API documentation for the module.

## python-network 0.4

=== debian/changelog ===
python-network (0.4-1) unstable; urgency=medium

  * Update standards version to 4.6.2. No changes needed.
  * Set Multi-Arch: foreign.
  * Handle URL targets.
  * Update doxygen configuration.
  * Remove mention of avahi from description, which is no longer supported.
  * Add package tests.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 19 Feb 2023 08:35:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
 Build-Depends-Indep: debhelper (>= 10), python3-all, dh-python, doxygen, python3-doxypypy | doxypy, libjs-jquery, graphviz, python3-setuptools, pybuild-plugin-pyproject
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 
 Package: python3-network
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends}, python3-fhs, openssl, python3
 Description: python module for easy networking
  Implementing networking in C is a pain. Unfortunately, much of that pain is
  copied to Python. This module instead tries to follow the "batteries included"
  approach, like the rest of Python. With this module, networking is a piece of
- cake. It can use tcp sockets and unix domain sockets and supports avahi and
- ssl connections without hassle.
+ cake. It can use tcp sockets and unix domain sockets and supports ssl
+ connections without hassle.
  .
  This module provides a Socket class and a Server class.  The Server creates
  Sockets when accepting connections; Sockets can be created by the user to
@@ -26,14 +27,15 @@
 Package: python3-network-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: python3-network (= ${source:Version}), python3-fhs-doc
 Description: API documentation for python3-network
  Implementing networking in C is a pain. Unfortunately, much of that pain is
  copied to Python. This module instead tries to follow the "batteries included"
  approach, like the rest of Python. With this module, networking is a piece of
- cake. It can use tcp sockets and unix domain sockets and supports avahi and
- ssl connections without hassle.
+ cake. It can use tcp sockets and unix domain sockets and supports ssl
+ connections without hassle.
  .
  This module provides a Socket class and a Server class.  The Server creates
  Sockets when accepting connections; Sockets can be created by the user to

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = network

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	doxygen config.doxygen
	rm doxygen-output/html/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js doxygen-output/html/


override_dh_auto_clean:
	dh_auto_clean
	rm -rf doxygen-output network_wrapper.egg-info dist
